<script setup>
import { useNodeStore } from "@/stores/useNodeStore";
import { useWorkspaceStore } from "@/stores/useWorkspaceStore";

const nodeStore = useNodeStore();
const workspaceStore = useWorkspaceStore();

async function newNode() {
  const NodeObjet = await nodeStore.createPendingNode("isa_investigation", "", {
    root: true,
  });
  await navigateTo(`/${workspaceStore.currentWSlug}/${NodeObjet.id}`);
}
</script>

<template>
  <div>
    <v-list-item
      class="ma-0 pa-0"
      density="compact"
      @click="newNode()"
    >
      <v-icon class="me-2">
        mdi-plus-circle-outline
      </v-icon>{{ $t("new_investigation") }}
    </v-list-item>
  </div>
</template>
